Skip to main content
POST

Authorizations

Authorization
string
header
required

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

Body

application/json
contents
object[]
required

A non-empty prompt and supported media must both be provided. Image-to-video generation must include first_frame. first_frame/last_frame cannot be used together with refer_image/feature_video; otherwise, a 400 error is returned. See the API documentation for quantity limits for each type of media.

Minimum array length: 2
settings
object
options
object

You can omit it, pass an empty object, or explicitly disable the watermark.

Response

Success

code
integer
required
Example:

0

message
string
required
request_id
string
required
data
object
required